package com.flossom.common.core.domain.ret;

import com.flossom.common.core.annotation.Excel;
import com.flossom.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.ArrayList;
import java.util.List;

/**
 * 用户打卡对象 wx_clock_log
 *
 * @author flossom
 * @date 2024-01-29
 */
public class WxClockLogRet extends BaseEntity {

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 微信用户
     */
    @Excel(name = "微信用户")
    private Long userId;

    /**
     * 当天使用过的仪器
     */
    @Excel(name = "当天使用过的仪器")
    private String instrumentId;

    /**
     * 当天使用过的仪器
     */
    @Excel(name = "当天使用过的仪器")
    private String instrumentName;

    /**
     * 打卡心得
     */
    @Excel(name = "打卡心得")
    private String clockContent;

    private List<String> clockImg = new ArrayList<>();


    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setInstrumentId(String instrumentId) {
        this.instrumentId = instrumentId;
    }

    public String getInstrumentId() {
        return instrumentId;
    }

    public void setInstrumentName(String instrumentName) {
        this.instrumentName = instrumentName;
    }

    public String getInstrumentName() {
        return instrumentName;
    }

    public void setClockContent(String clockContent) {
        this.clockContent = clockContent;
    }

    public String getClockContent() {
        return clockContent;
    }

    public List<String> getClockImg() {
        return clockImg;
    }

    public void setClockImg(List<String> clockImg) {
        this.clockImg = clockImg;
    }
}
